package com.qmth.themis.business.enums;

import java.util.Arrays;
import java.util.List;

/**
 * 人脸、活检验证异常
 *
 * @Description:
 * @Author: xiatian
 * @Date: 2020-07-31
 */
public enum VerifyExceptionEnum {

    FACE_COUNT_ERROR("人脸数量异常", Arrays.asList("D4", "D8"), "违纪预警"),

    FACE_COMPARE_ERROR("人脸比对异常", Arrays.asList("D6"), "违纪预警"),

    EYE_CLOSE_ERROR("闭眼检测异常", Arrays.asList("D14"), "违纪预警"),

    LIVENESS_ACTION_ERROR("活检动作错误", Arrays.asList("D16"), "违纪预警"),

    NONE("无异常", Arrays.asList("-1"), "违纪预警"),

    REALNESS("真实性检测异常", Arrays.asList("D15"), "违纪预警");

//    IP_CHANGE_ERROR("IP变动预警", Arrays.asList("D17"), "违纪预警");

    private String code;

    private List<String> level;

    private String title;

    private VerifyExceptionEnum(String code, List<String> level, String title) {
        this.code = code;
        this.level = level;
        this.title = title;
    }

    public String getCode() {
        return code;
    }

    public List<String> getLevel() {
        return level;
    }

    public String getTitle() {
        return title;
    }
}
